- entityDefinitions:
  - IDM_Method__get__Abbreviation:  '{ddb62bd1-df5a-4c9d-9991-ff9a827717e9}'
  - IDMB_Method__get__Abbreviation: '{b82b5b35-a88f-48b9-80aa-2b2ba9737e31}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - conditionalSelectAttributeMethod: '&IDM_Method__get__Abbreviation;'
    # initialValue: 'Method Example@get Dummy Method Name (BA)*S*P(public)'
    forClassId: '&IDC_Method;'
    returnsAttributeId: '&IDA_MethodType;'
    verb: 'get'
    name: 'Method Type'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    cases:
    - globalIdentifier: '{8ec615a4-17a4-4111-8cd4-b5d435a001d4}'
      trueConditions:
      - instance: '&IDMB_Method__is__AA;'
      returnsAttributeId: '&IDMB_Method__get__AA_Method_Suffix;'
      comment: 'If Method is AA, return the "AA" suffix'

    - globalIdentifier: '{dc60fe34-bdb4-4372-a0b7-cc913606e215}'
      trueConditions:
      - instance: '&IDMB_Method__is__GRS;'
      returnsAttributeId: '&IDMB_Method__get__GRS_Method_Suffix;'
      comment: 'If Method is GRS, return the "GRS" suffix'
      
    - globalIdentifier: '{5de9be70-9b0e-4c08-b504-1b48ce5cebf0}'
      trueConditions:
      - instance: '&IDMB_Method__is__GRA;'
      returnsAttributeId: '&IDMB_Method__get__GRA_Method_Suffix;'
      comment: 'If Method is GRA, return the "GRA" suffix'
      
    - globalIdentifier: '{31f76f75-dd26-48ac-8abd-6dc217b23af1}'
      trueConditions:
      - instance: '&IDMB_Method__is__GSI;'
      returnsAttributeId: '&IDMB_Method__get__GSI_Method_Suffix;'
      comment: 'If Method is GSI, return the "GSI" suffix'

    - globalIdentifier: '{6802a559-b650-4517-81f8-ecc8891bc600}'
      trueConditions:
      - instance: '&IDMB_Method__is__GA;'
      returnsAttributeId: '&IDMB_Method__get__GA_Method_Suffix;'
      comment: 'If Method is GA, return the "GA" suffix'

    - globalIdentifier: '{18523215-6098-4352-bfbb-b9912e7baab4}'
      trueConditions:
      - instance: '&IDMB_Method__is__BA;'
      returnsAttributeId: '&IDMB_Method__get__BA_Method_Suffix;'
      comment: 'If Method is BA, return the "BA" suffix'

    - globalIdentifier: '{37643cb5-d566-459c-9aaa-bb7cc00b6046}'
      trueConditions:
      - instance: '&IDMB_Method__is__GI;'
      returnsAttributeId: '&IDMB_Method__get__GI_Method_Suffix;'
      comment: 'If Method is GI, return the "GI" suffix'

    - globalIdentifier: '{4948c460-2332-48a8-b273-f76c12a7802d}'
      trueConditions:
      - instance: '&IDMB_Method__is__EBE;'
      returnsAttributeId: '&IDMB_Method__get__EBE_Method_Suffix;'
      comment: 'If Method is EBE, return the "EBE" suffix'

    - globalIdentifier: '{7fd7ec72-6084-4409-914d-05b3f61d32cc}'
      trueConditions:
      - instance: '&IDMB_Method__is__SAC;'
      returnsAttributeId: '&IDMB_Method__get__SAC_Method_Suffix;'
      comment: 'If Method is SAC, return the "SAC" suffix'

    - globalIdentifier: '{4e27ff99-37e3-4a92-86e8-ccc81d0a52a8}'
      trueConditions:
      - instance: '&IDMB_Method__is__IOP;'
      returnsAttributeId: '&IDMB_Method__get__IOP_Method_Suffix;'
      comment: 'If Method is IOP, return the "IOP" suffix'
      
    - globalIdentifier: '{2811e0ac-10b1-4ede-87dd-4aaeaac438d7}'
      trueConditions:
      - instance: '&IDMB_Method__is__CD;'
      returnsAttributeId: '&IDMB_Method__get__CD_Method_Suffix;'
      comment: 'If Method is CD, return the "CD" suffix'
      
    - globalIdentifier: '{affc1bec-b5d2-4561-9a3f-e1f0cbb08d6d}'
      trueConditions:
      - instance: '&IDMB_Method__is__GSS;'
      returnsAttributeId: '&IDMB_Method__get__GSS_Method_Suffix;'
      comment: 'If Method is GSS, return the "GSS" suffix'
      
    - globalIdentifier: '{d9f391e6-7905-4e6f-bb08-41d500296a35}'
      trueConditions:
      - instance: '&IDMB_Method__is__GAS;'
      returnsAttributeId: '&IDMB_Method__get__GAS_Method_Suffix;'
      comment: 'If Method is GAS, return the "GAS" suffix'
      
    - globalIdentifier: '{c89c42a2-0aee-4966-b59e-89641d363087}'
      trueConditions:
      - instance: '&IDMB_Method__is__BUIR;'
      returnsAttributeId: '&IDMB_Method__get__BUIR_Method_Suffix;'
      comment: 'If Method is BUIR, return the "BUIR" suffix'

    - globalIdentifier: '{a8e429b5-2649-46d6-ad8a-e0e967ebae89}'
      trueConditions:
      - instance: '&IDMB_Method__is__SS;'
      returnsAttributeId: '&IDMB_Method__get__SS_Method_Suffix;'
      comment: 'If Method is SS, return the "SS" suffix'

    - globalIdentifier: '{7f33e149-f5f9-4dcc-87a1-1fa22959c5ed}'
      trueConditions:
      - instance: '&IDMB_Method__is__GR;'
      returnsAttributeId: '&IDMB_Method__get__GR_Method_Suffix;'
      comment: 'If Method is GR, return the "GR" suffix'

    - globalIdentifier: '{641fba3a-41fb-427b-bdc3-4e876b6f72ab}'
      trueConditions:
      - instance: '&IDMB_Method__is__US;'
      returnsAttributeId: '&IDMB_Method__get__US_Method_Suffix;'
      comment: 'If Method is US, return the "US" suffix'

    - globalIdentifier: '{641fba3a-41fb-427b-bdc3-4e876b6f72ab}'
      trueConditions:
      - instance: '&IDMB_Method__is__CN;'
      returnsAttributeId: '&IDMB_Method__get__CN_Method_Suffix;'
      comment: 'If Method is CN, return the "CN" suffix'

    # {4e741924-06a0-40e1-aa3c-725d6a518b9d}
    
    - globalIdentifier: '{570dd2ff-38d6-4615-b033-880b8dda9f5b}'
      returnsAttributeId: '&IDMB_Common_Text__get__Empty_String;'
      comment: 'If nothing else matches, just return empty string'

  - returnAttributeMethodBinding: '&IDMB_Method__get__Abbreviation;'
    executesMethod: '&IDM_Method__get__Abbreviation;'
